## org.firebirdsql.gds.impl.wire
Class TransactionParameterBufferImpl

    java.lang.Object
      org.firebirdsql.gds.impl.wire.ParameterBufferBase
          org.firebirdsql.gds.impl.wire.TransactionParameterBufferImpl

All Implemented Interfaces:
  Serializable, Xdrable, TransactionParameterBuffer

    public class TransactionParameterBufferImpl

extends ParameterBufferBase
implements TransactionParameterBuffer

Implementation of the `TransactionParameterBuffer` interface.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.firebirdsql.gds.impl.wire.ParameterBufferBase
`ParameterBufferBase.Argument, ParameterBufferBase.NumericArgument, ParameterBufferBase.StringArgument`

Field Summary

Fields inherited from interface org.firebirdsql.gds.TransactionParameterBuffer
`AUTOCOMMIT, COMMIT_TIME, CONCURRENCY, CONSISTENCY, EXCLUSIVE, IGNORE_LIMBO, LOCK_READ, LOCK_WRITE, NO_AUTO_UNDO, NO_REC_VERSION, NOWAIT, PROTECTED, READ, READ_COMMITTED, REC_VERSION, RESTART_REQUESTS, SHARED, VERB_TIME, WAIT, WRITE`

Constructor Summary
`TransactionParameterBufferImpl()`

Method Summary
`TransactionParameterBuffer` `deepCopy()` Make a deep copy of this object.

Methods inherited from class org.firebirdsql.gds.impl.wire.ParameterBufferBase
`addArgument, addArgument, addArgument, addArgument, equals, getArgumentAsInt, getArgumentAsString, getArgumentsList, getLength, hasArgument, hashCode, read, removeArgument, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.firebirdsql.gds.TransactionParameterBuffer
`addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, hasArgument, removeArgument`

Constructor Detail

### TransactionParameterBufferImpl

    public TransactionParameterBufferImpl()

Method Detail

### deepCopy

    public TransactionParameterBuffer deepCopy()

  Description copied from interface: `TransactionParameterBuffer`
  Make a deep copy of this object.

  Specified by:
    `deepCopy` in interface `TransactionParameterBuffer`
  Returns:
    deep copy of this object.

Copyright © 2001-2010. All Rights Reserved.